package others_request

import (
	"private-go-sdk/http"
)

type ChainEvidenceCompleteReportDownloadRequest struct {
	// <ext>core:true</ext> 【出证id】出证id 【作用】 可通过<docs>/chain/evidence/complete/report/apply</docs>接口返回的出证id下载完整版存证报告 【传参】 最大长度：20。
	ProveId string `json:"proveId,omitempty"`
}
func (obj ChainEvidenceCompleteReportDownloadRequest) GetUrl() string {
    return "/chain/evidence/complete/report/download"
}

func (obj ChainEvidenceCompleteReportDownloadRequest) GetHttpParameter() *http.HttpParameter {
    parameter := http.NewGetHttpParameter()
    parameter.AddParam("proveId", obj.ProveId)
    return parameter
}
